Subject: Re: Linux sends IPv6 NS packets with the link-local address

From: "Steinar H. Gunderson" <[email-masked]>
Date: Thu, 7 Nov 2013 01:56:15 +0100

On Thu, Nov 07, 2013 at 01:46:11AM +0100, Hannes Frederic Sowa wrote:
> Problem was, if we enqueue a packet to the resolving queue we use those
> packets source address as the address we use as the source address. This
> patch chooses the last enqueued skb's source address to do the resolving
> thus switching over to a global address much more early (hopefully). I
> have seen this problem with routers doing uRPF on the source address of
> arp packets, too.
> 
> Does this happen when you configure addresses? Do your addresses have
> a short lifetime advertised by radvd etc?

There are no autoconfigured addresses on the machine; statically set plus
link-layer only. It does _serve_ RA for another VLAN, though (it does
802.1q, some tunnels, and some BGP).

/* Steinar */
-- 
Homepage: http://www.sesse.net/